Subject: Re: [PATCH v3 8/8] builtin/fsck: add `git refs verify` child process

From: shejialuo <[email-masked]>
Date: Wed, 12 Feb 2025 18:21:04 +0800

On Wed, Feb 12, 2025 at 10:56:53AM +0100, Patrick Steinhardt wrote:
> On Thu, Feb 06, 2025 at 02:00:07PM +0800, shejialuo wrote:
> > diff --git a/Documentation/git-fsck.txt b/Documentation/git-fsck.txt
> > index 5b82e4605c..9bd433028f 100644
> > --- a/Documentation/git-fsck.txt
> > +++ b/Documentation/git-fsck.txt
> > @@ -12,7 +12,7 @@ SYNOPSIS
> >  'git fsck' [--tags] [--root] [--unreachable] [--cache] [--no-reflogs]
> >  	 [--[no-]full] [--strict] [--verbose] [--lost-found]
> >  	 [--[no-]dangling] [--[no-]progress] [--connectivity-only]
> > -	 [--[no-]name-objects] [<object>...]
> > +	 [--[no-]name-objects] [--[no-]references] [<object>...]
> >  
> >  DESCRIPTION
> >  -----------
> > @@ -104,6 +104,10 @@ care about this output and want to speed it up further.
> >  	progress status even if the standard error stream is not
> >  	directed to a terminal.
> >  
> > +--[no-]references::
> > +	Control whether to check the references database consistency
> > +	via 'git refs verify'. See linkgit:git-refs[1] for details.
> 
> I think we should note the default, which is to check them.
> 

OK, let me improve the documentation in the next version.

> It would also be nice to have a couple of tests to verify that the flag
> does what it is intended to do.
> 

Good idea, we could test via trailing contents to do this. Let me
improve this.

> Patrick